zhcon (1:0.2.6-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Fix day-of-week for changelog entry 1:0.2.6-2.

  [ 肖盛文 ]
  * d/clean: add REVISION src/zhcon.ggo
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.5.0
      - add Rules-Requires-Root: no
      - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
      - add Homepage: https://sourceforge.net/projects/zhcon/
  * d/rules:
      - delete dh_missing --fail-missing
      - fix lintian: no-dh-sequencer by add execute_before_dh_autoreconf:
  * d/copyright: add Upstream-Contact:
  * upstream/metadata: add Bug-Database:

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 18 May 2020 21:08:54 +0800

zhcon (1:0.2.6-16) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster.
  * debian/control: Mark package zhcon-data as Multi-Arch: foreign.
  * debian/copyright: Mark src/cmdline.{c,h} as released under
    public domain.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 16:00:16 -0500

zhcon (1:0.2.6-15) unstable; urgency=medium

  * Team upload.
  * debian/patches: Add patch to fix FTBFS on i386 platform.
    Closes: #909859.
  * debian/control: Bump Standards-Version to 4.2.1.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/not-installed: Explicitly stop installation of
    upstream-provided man page in favour of debian-provided one.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Sep 2018 20:38:02 -0400

zhcon (1:0.2.6-14) unstable; urgency=medium

  * Add Breaks/Replaces to prevent error on upgrade.
    Thanks to Boyang Yuan for the report!  (Closes: #905182)
  * Upgrade to zhcon 0.2.6+svn20070727.r22
    with debian/patches/0000-0.2.6+svn20070727.r22.patch
    obtained from https://svn.code.sf.net/p/zhcon/code/.
  * Refresh patches for 0.2.6+svn20070727.r22
  * Fix "ISO C++ forbids converting a string constant to ‘char *’"
    warnings
  * Bump Standards-Version to 4.2.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Aug 2018 04:10:17 -0600

zhcon (1:0.2.6-13) unstable; urgency=medium

  * Split fonts and input methods to new zhcon-data package.
    Fixes Lintian info "zhcon: arch-dep-package-has-big-usr-share 7103kB 97%"
  * Remove obsolete "Breaks: unicon-im (<< 3.0.4-9)"
    as unicon-im is no more, having been replaced with unicon-imc2.

 -- Anthony Fok <foka@debian.org>  Tue, 31 Jul 2018 22:56:52 -0600

zhcon (1:0.2.6-12) unstable; urgency=medium

  * Point Vcs-* URLs to salsa.debian.org
  * Apply "cme fix dpkg" fixes to debian/control,
    bumping Standards-Version to 4.1.5, etc.
  * Use debhelper (>= 11)
  * Convert debian/copyright to machine-readable format, and add missing
    copyright information on files borrowed from other projects
  * Use "dh_auto_install --no-parallel" to avoid build failure
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * Fix Lintian warning useless-autoreconf-build-depends dh-autoreconf
    (No longer necessary since debhelper compatibility level 10)

 -- Anthony Fok <foka@debian.org>  Tue, 31 Jul 2018 21:47:30 -0600

zhcon (1:0.2.6-11) unstable; urgency=medium

  * Fix zhcon crash with built-in input methods on 64-bit platform
    (Closes: #805544)
  * Disable erroneous 0008-default-to-utf8.patch (Closes: #774343)
  * Upgrade to debhelper (>= 9)
  * Prevent configure.in from adding rpath through LDFLAGS
  * Build with Debian hardening buildflags
  * Instead of running chrpath, don't compile with rpath in the first place
  * Move zhcon fonts and IME tables, which are platform-independent,
    to /usr/share/zhcon, so they don't end up in, e.g.,
    /usr/lib/x86_64-linux-gnu/zhcon
  * Restore Debian-specific customization for zhcon.conf for the correct
    unicon module paths.
  * Document "adduser <user> video" to allow normal users to start zhcon
  * Add myself to the Uploaders list
  * Bump Standards-Version to 3.9.6
  * Update Vcs-Git and Vcs-Browser tags
  * Minor revision to package description

 -- Anthony Fok <foka@debian.org>  Thu, 19 Nov 2015 06:22:24 -0700

zhcon (1:0.2.6-10) unstable; urgency=low

  * Drop libggi support (Closes: #680238).

 -- Aron Xu <aron@debian.org>  Thu, 05 Jul 2012 10:13:44 +0800

zhcon (1:0.2.6-9) unstable; urgency=low

  * Now build on kfreebsd.
  * Update VCS-Browser field.
  * Std-ver: 3.9.2 -> 3.9.3, no change.
  * Better handling jp and ko when specified.
  * Default to use utf8.

 -- Aron Xu <aron@debian.org>  Sat, 09 Jun 2012 04:04:14 +0800

zhcon (1:0.2.6-8) unstable; urgency=low

   * Make it build on amd64, etc.
   * debian/control: Add Vcs-* fields.

 -- Aron Xu <aron@debian.org>  Sun, 03 Jul 2011 17:16:47 +0800

zhcon (1:0.2.6-7) unstable; urgency=low

  * New mainainer (Closes: #629012)
  * Switch to dh7 style, use compat=7, "quilt (3.0)" format
    standards-version 3.9.2.
  * Convert to quilt patch system:
    - Drop useless patches:
      input_amd64.patch, gcc-3.4.patch (applied upstream).
    - Set LC_CTYPE instead of LC_ALL, using any UTF-8 LC_CTYPE value
      available on the system is sufficient to function.
      (Closes: #243856)
    - Use Glibc iconv extension when available. (LP: #439697)
  * debian/postinst, debian/dirs: removed, useless.
  * Add libgpm-dev to build-dep to enable gpm support.
  * Drop debconf templates because framebuffer is enabled by default in
    a Debian kernel and other major Linux distributions.
  * Change to build on linux-any platforms because framebuffer does not
    exist on others.
  * Document options in manpage (Closes: #389421)
  * Acknowledge NMU (Closes: #561491, #513666, #560785)

 -- Aron Xu <aron@debian.org>  Thu, 09 Jun 2011 17:24:01 +0800

zhcon (1:0.2.6-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS ("'IF_MASK' undeclared"). Thanks to Elías Alejandro
    for the patch. Closes: #561491
  * Drop debian/conffiles that only lists files in /etc, that
    are automatically added to conffiles by dh_installdeb
  * Add real copyright mention to debian/copyright
    (taken from the output of "licensecheck")
  * Explicit reference tp GPL-2 test in debian.copyright
  * Add ${misc:Depends} to binary package dependencies
    and drop "debconf" (that will be added automatically)
  * Bump debhelper compatibility level to 7
  * Replace "dh_clean -k" by dh_prep
  * No longer ignore errors from make in debian/rules
  * Use method recommended in autotools-dev to provide
    up-to-date config.{sub|guess} files. Consequently,
    build depend on autotools-dev
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #513666
    - Simplified Chinese (Ji ZhengYu).  Closes: #560785

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Dec 2009 08:55:54 +0100

zhcon (1:0.2.6-6) unstable; urgency=low

  * Fix input method crash on amd64. (Closes:Bug#501912)
  * Fix FTBFS with GCC 4.4. (Closes:Bug#505347)

 -- Yu Guanghui <ygh@debian.org>  Wed, 18 Feb 2009 21:45:46 +0800

zhcon (1:0.2.6-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491962
    - Finnish. Closes: #501936
    - Ukrainian. Closes: #501978
    - Unfuzzied Catalan and Vietnamese translations
    - Basque. Closes: #502251
    - Italian. Closes: #502474

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Oct 2008 08:51:48 +0200

zhcon (1:0.2.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Cyril Brulebois (Closes: #461695)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 20 Mar 2008 01:16:26 +0100

zhcon (1:0.2.6-5) unstable; urgency=low

  * Fixed FTBFS with GCC 4.3. (Closes:Bug#421056)

 -- Yu Guanghui <ygh@debian.org>  Mon, 06 Aug 2007 14:10:57 +0800

zhcon (1:0.2.6-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Japanese. Closes: #400149
    - Danish. Closes: #401624
    - German. Closes: #402801
    - Russian. Closes: #404430
    - Spanish. Closes: #383085

 -- Christian Perrier <bubulle@debian.org>  Thu,  8 Feb 2007 18:07:11 +0100

zhcon (1:0.2.6-4) unstable; urgency=low

  * manpage fix.

 -- Yu Guanghui <ygh@debian.org>  Wed, 27 Sep 2006 00:44:55 +0800

zhcon (1:0.2.6-3) unstable; urgency=low

  * Added manpage. (Closes:Bug#389421)
  * Updated Czech translation. (Closes:Bug#389176)
  * Raised the priority of notice to high. (Closes:Bug#388990)

 -- Yu Guanghui <ygh@debian.org>  Tue, 26 Sep 2006 20:05:15 +0800

zhcon (1:0.2.6-2) unstable; urgency=low

  * French templates translation update. (Closes:Bug#378224)
  * Portuguese templates translation. (Closes:Bug#381198)
  * zhcon doesn't depend on libgii0 (Closes:Bug#382116)
  * Closed old bugs, it was fixed ago. (Closes:Bug#323419)
  * Cleanup NMU fixed bugs.(Closes:Bug#292210,Bug#200071,Bug#293324,
  Bug#356438,Bug#112355,Bug#136609,Bug#332164,Bug#355948,Bug#198270,
  Bug#198751,Bug#250139,Bug#285970,Bug#287695,Bug#324284,Bug#324285,
  Bug#330619)

 -- Yu Guanghui <ygh@debian.org>  Wed, 09 Aug 2006 15:38:19 +0800

zhcon (1:0.2.6-1.1) unstable; urgency=medium

  * NMU as part of the libgii/libggi transition.
  * Changed build-dependency on libggi2-dev to libggi2-dev
   (>= 1:2.2.1-4). Closes: #381649.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Aug 2006 10:10:31 +1000

zhcon (1:0.2.6-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 02:21:02 +0800

zhcon (1:0.2.4-1) unstable; urgency=low

  * New upstream release
  * already build with gcc-4.0. Closes: #323419

 -- Yu Guanghui <ygh@debian.org>  Tue, 25 Apr 2006 00:27:56 +0800

zhcon (1:0.2.3-8.1) unstable; urgency=HIGH

  * NMU
  * Forward ported patch from security team to prevent unauthorised file
    access [src/configfile.cpp, CAN-2005-0072]. Closes: #292210

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Jan 2005 15:10:36 -0500

zhcon (1:0.2.3-8) unstable; urgency=low

  * patch for gcc-3.4. (closes:Bug#264151)
  * added ja.po. (closes:Bug#259166)

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Aug 2004 23:52:49 +0800

zhcon (1:0.2.3-7) unstable; urgency=low

  * Apply patch for PowerPC or other big endianness machines. Thanks
    for Ben Sittler <BSittler at KnowNow.com.anti-spam>'s patch.
    (closes:Bug#227640)

 -- Yu Guanghui <ygh@debian.org>  Sun, 18 Jan 2004 21:48:25 +0800

zhcon (1:0.2.3-6.2) unstable; urgency=low

  * Non-maintainer upload
  * Switch to gettext for debconf templates. Closes: #198270
  * French translation for debconf templates. Closes: #198751
  * Russian translation for debconf templates. Closes: #136609
  * German translation for debconf templates. Closes: #112355

 -- Christian Perrier <bubulle@debian.org>  Tue, 26 Aug 2003 11:51:58 +0200

zhcon (1:0.2.3-6.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Apply patch from Matt Kraai to fix build failure under GCC 3.3.
    (Closes: #200071)

 -- Joel Baker <fenton@debian.org>  Sat, 23 Aug 2003 11:58:16 -0600

zhcon (1:0.2.3-6) unstable; urgency=low

  * Fix wrong .pyinput owner.
  * Make zhcon work with screen.

 -- Yu Guanghui <ygh@debian.org>  Wed, 14 May 2003 22:45:39 +0800

zhcon (1:0.2.3-5) unstable; urgency=low

  * Build with unicon-im 3.0.4_9.

 -- Yu Guanghui <ygh@debian.org>  Sat, 10 May 2003 17:04:45 +0800

zhcon (1:0.2.3-4) unstable; urgency=low

  * Fixed build error.

 -- Yu Guanghui <ygh@debian.org>  Thu,  8 May 2003 01:11:34 +0800

zhcon (1:0.2.3-3) unstable; urgency=low

  * Fixed build error.

 -- Yu Guanghui <ygh@debian.org>  Wed,  7 May 2003 19:12:58 +0800

zhcon (1:0.2.3-2) unstable; urgency=low

  * Add new build depend libncurses5-dev

 -- Yu Guanghui <ygh@debian.org>  Wed,  7 May 2003 12:09:40 +0800

zhcon (1:0.2.3-1) unstable; urgency=low

  * New upstream release.
  * unicon input method work right now.
  * new words can be saved when use ZNPY
  * Change ZNPY as default input method.

 -- Yu Guanghui <ygh@debian.org>  Wed,  7 May 2003 01:09:46 +0800

zhcon (1:0.2-4) unstable; urgency=low

  * Fixed some building error.

 -- Yu Guanghui <ygh@debian.org>  Tue, 19 Mar 2002 18:52:04 +0800

zhcon (1:0.2-3) unstable; urgency=low

  * Ok, since we don't really need VGA mode and it causes portable
    problems, I will remove VGA support. (closes:Bug#138711)

 -- Yu Guanghui <ygh@debian.org>  Mon, 18 Mar 2002 19:15:35 +0800

zhcon (1:0.2-2) unstable; urgency=low

  * Modified configure.in, zhcon should run on any arch linux.
  	(closes:Bug#138505)

 -- Yu Guanghui <ygh@debian.org>  Sat, 16 Mar 2002 10:07:39 +0800

zhcon (1:0.2-1) unstable; urgency=low

  * correct the debian version number.

 -- Yu Guanghui <ygh@debian.org>  Mon, 11 Mar 2002 19:08:12 +0800

zhcon (0.2-1) unstable; urgency=low

  * New upstream release.
  * Build without unicon support. zhcon 0.2 still have trouble with unicon
  input method.

 -- Yu Guanghui <ygh@debian.org>  Sun, 10 Mar 2002 19:37:19 +0800

zhcon (0.2b2-1) unstable; urgency=low

  * New upstream release.

 -- Yu Guanghui <ygh@debian.org>  Sun,  3 Feb 2002 16:01:14 +0800

zhcon (0.14-5) unstable; urgency=low

  * Updated config.{sub,guess}. (closes:Bug#117421)

 -- Yu Guanghui <ygh@debian.org>  Tue, 30 Oct 2001 19:45:25 +0800

zhcon (0.14-4) unstable; urgency=low

  * Removed the ltconfig flag --no-verify. This caused compile
    problem in other platform expect i386.

 -- Yu Guanghui <ygh@debian.org>  Sat, 27 Oct 2001 19:25:28 +0800

zhcon (0.14-3) unstable; urgency=low

  * I only test it under i386 arch. If anyone successly
    use zhcon in other platform, please notice me.

 -- Yu Guanghui <ygh@debian.org>  Wed, 24 Oct 2001 15:54:06 +0800

zhcon (0.14-2) unstable; urgency=low

  * Add spanish template file. (closes:Bug#110756)
  * Use the correct names for MS products.(closes:Bug#110052)

 -- Yu Guanghui <ygh@debian.org>  Wed, 12 Sep 2001 17:43:29 +0800

zhcon (0.14-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Thu, 23 Aug 2001 12:00:00 +0800

zhcon (0.13-1) unstable; urgency=low

  * Initial Release.

 -- Yu Guanghui <ygh@debian.org>  Thu, 23 Aug 2001 11:30:33 +0800
